import request from '@/utils/request'

// 查询群发审核列表
export function listUserGreet(query) {
  return request({
    url: '/cai/userGreet/list',
    method: 'get',
    params: query
  })
}

// 查询群发审核详细
export function getUserGreet(id) {
  return request({
    url: '/cai/userGreet/' + id,
    method: 'get'
  })
}

// 新增群发审核
export function addUserGreet(data) {
  return request({
    url: '/cai/userGreet',
    method: 'post',
    data: data
  })
}

// 修改群发审核
export function updateUserGreet(data) {
  return request({
    url: '/cai/userGreet',
    method: 'put',
    data: data
  })
}

export function batchAuditUserGreet(data) {
  return request({
    url: '/cai/userGreet/batch/audit',
    method: 'post',
    data: data
  })
}

// 删除群发审核
export function delUserGreet(id) {
  return request({
    url: '/cai/userGreet/' + id,
    method: 'delete'
  })
}
